Subject: Re: [p2prg] Fwd: I-D Action:draft-irtf-p2prg-alto-survey-01.txt

From: stefano previdi <[email-masked]>
Date: Wed, 27 Jan 2010 11:28:14 +0100

All,

if there aren't more comments, we'll proceed to publication process
with this draft.

s.

On Dec 21, 2009, at 5:23 PM, Enrico Marocco wrote:

> The agreed text is now in
> http://www.ietf.org/id/draft-irtf-p2prg-alto-survey-02.txt
>
> Enrico
>
> Arnaud Legout wrote:
>> Hi,
>>
>> I am fine with the text you propose, except that I would remove the  
>> sentence
>> "especially in networks with lower density of peers." I believe  
>> that it
>> is actually the opposite.
>> When there is a low density of peers, the locality policy will have  
>> few
>> impact on the overlay
>> interconnecting peers.
>> Find below a revised text.
>>
>> You are right that my points better fit into the mythbusting draft.
>> I will send you a proposition of text in a separate email.
>>
>> Thanks,
>> Arnaud.
>>
>>   The literature presented in Section 2 shows that a certain level of
>>   locality-awareness in the peer selection process of P2P  
>> algorithms is
>>   usually beneficial to the application performance.  However, an
>>   excessive localization of the traffic might cause partitioning in
>>   the overlay interconnecting peers, which will negatively affect
>>   the performance experienced by the peers.
>>
>>   Finding the right balance between localization and randomness in  
>> peer
>>   selection is an open issue. At the time of writing, it seems that
>>   different applications have different levels of tolerance and  
>> should
>>   be addressed separately.  Le Blond et al. [LeBlond] have studied  
>> the
>>   specific case of BitTorrent, proposing a simple mechanism to  
>> prevent
>>   partitioning in the overlay, yet reaching a high level of cross- 
>> domain
>>   traffic reduction without adversely impacting peers.
>>
>>
>>
>> Enrico Marocco a écrit :
>>> Hi Arnoud,
>>>
>>> the work you mention is actually relevant to ALTO, but I'm not  
>>> sure how
>>> to fit it in the survey part of the draft (that, in fact, is about
>>> proposed solutions). However, it deals with a relevant issue we  
>>> did not
>>> mention, so what about adding the following text in a subsection of
>>> section 4?
>>>
>>>
>>> 4.6.  Negative impact of over-localization
>>>
>>>   The literature presented in Section 2 show that certain level of
>>>   locality-awareness in the peer selection process of P2P  
>>> algorithms is
>>>   usually beneficial to the application performance.  However, it  
>>> seems
>>>   reasonable to expect that an excessive impact of localization on  
>>> such
>>>   a process (to the detriment of randomness) will cause  
>>> partitioning in
>>>   overlay networks that will negatively affect the performance
>>>   experienced by the users, especially in networks with lower  
>>> density
>>>   of peers.
>>>
>>>   Finding the right balance between localization and randomness in  
>>> peer
>>>   selection is an open issue and, at the time of writing, it seems  
>>> that
>>>   different applications have different levels of tolerance and  
>>> should
>>>   be addressed separately.  Le Blond et al. [LeBlond] have studied  
>>> the
>>>   specific case of BitTorrent, proposing a simple mechanism to  
>>> prevent
>>>   partitioning in the overlay, yet reaching high levels of cross- 
>>> domain
>>>   traffic reduction without adversely impacting peers.
>>>
>>>
>>> I'd rather avoid the details of how much traffic could be reduced
>>> according to your experience, as that's not really the goal of this
>>> document (it is actually mythbusting draft's goal). WDYT?
>>>
>>> Enrico
>>>
>>> Arnaud Legout wrote:
>>>
>>>> Hi,
>>>>
>>>> I believe that our work on "Pushing BitTorrent Locality to the  
>>>> Limit"
>>>> http://hal.inria.fr/inria-00343822/en/
>>>> is highly relevant to ALTO.
>>>> Whereas we do not propose a new architecture, we perform a thorough
>>>> large scale evaluation using real world
>>>> data of the impact of locality. In particular, we answer two  
>>>> important
>>>> questions for ALTO.
>>>>
>>>> First, how much traffic can be kept local without adversely  
>>>> impacting
>>>> peers? Whatever the ALTO architecture is,
>>>> it will impact the structure of the overlay interconnecting peers.
>>>> We go much further than previous work on the understanding of the  
>>>> impact
>>>> of locality on the structure of that overlay.
>>>> In addition, reducing the amount of traffic that is kept local in  
>>>> order
>>>> to prevent partitions (thus a loss of performance for peers)
>>>> is the solution adopted by P4P and Ono. We introduce a simple  
>>>> mechanism
>>>> (that is backward compatible) to prevent partitions
>>>> and show that the traffic reduction on specific links can be
>>>> dramatically reduced by keeping more traffic local without  
>>>> adversely
>>>> impacting peers. Those kind of mechanisms are very important  
>>>> because
>>>> they enable to reap full benefits from the information
>>>> provided by ALTO.
>>>>
>>>> Second, what would be the benefit of a locality policy at the  
>>>> Internet
>>>> scale?
>>>> We show using a real world crawl of a large fraction of the all
>>>> BitTorrent peers that the benefit from deploying
>>>> a locality policy today would be a reduction of 40% on inter-AS  
>>>> links.
>>>> To the best of our knowledge, the work closer to ours is
>>>> the one of P4P. However, they only consider one torrent and one AS.
>>>> Whereas the P4P field tests are successfully used to support the  
>>>> relevance
>>>> of the P4P architecture, they cannot be used to support the  
>>>> relevance of
>>>> a locality policy at the scale of the Internet. But that last
>>>> point fundamental for the ALTO justification. A classical
>>>> argument (that we often faced before performing the large scale
>>>> BitTorrent measurement) is that at the scale of the Internet
>>>> the benefit of a locality policy will be negligible because there  
>>>> is on
>>>> average one or a few peers per AS. We show that even if
>>>> it is true that there is on average few peers per AS, the  
>>>> reduction of
>>>> traffic on inter-AS links that can be achieved using a locality
>>>> policy is still high at the Internet scale. Thus we believe that  
>>>> this is
>>>> the first large scale measurement that strongly support the  
>>>> relevance of the
>>>> ALTO effort.
>>>>
>>>> Finally, we do not claim that inter-AS links are always the right  
>>>> links
>>>> on which to perform traffic reduction, but that it is a  
>>>> reasonable first
>>>> level approximation.
>>>>
>>>> I hope those comments will help.
>>>>
>>>> Arnaud.
>>>>
>>>> stefano previdi a écrit :
>>>>
>>>>> Folks,
>>>>>
>>>>> the authors have submitted an updated version of alto-survey  
>>>>> draft.
>>>>> Please, bring to the list your comments and we'll proceed with the
>>>>> publication process.
>>>>>
>>>>> Thanks.
>>>>>
>>>>> s.
>>>>>
>>>>>
>>>>> Begin forwarded message:
>>>>>
>>>>>
>>>>>> From: [email-masked]
>>>>>> Date: December 11, 2009 4:30:02 PM GMT+01:00
>>>>>> To: [email-masked]
>>>>>> Subject: I-D Action:draft-irtf-p2prg-alto-survey-01.txt
>>>>>> Reply-To: [email-masked]
>>>>>>
>>>>>> A New Internet-Draft is available from the on-line Internet- 
>>>>>> Drafts
>>>>>> directories.
>>>>>>
>>>>>>    Title           : A Survey on Research on the Application- 
>>>>>> Layer
>>>>>> Traffic Optimization (ALTO) Problem
>>>>>>    Author(s)       : I. Rimac, et al.
>>>>>>    Filename        : draft-irtf-p2prg-alto-survey-01.txt
>>>>>>    Pages           : 17
>>>>>>    Date            : 2009-12-11
>>>>>>
>>>>>> A significant part of the Internet traffic today is generated by
>>>>>> peer-to-peer (P2P) applications used traditionally for file- 
>>>>>> sharing,
>>>>>> and more recently for real-time communications and live media
>>>>>> streaming.  Such applications discover a route to each other  
>>>>>> through
>>>>>> an overlay network with little knowledge of the underlying  
>>>>>> network
>>>>>> topology.  As a result, they may choose peers based on  
>>>>>> information
>>>>>> deduced from empirical measurements, which can lead to suboptimal
>>>>>> choices.  This document, a product of the P2P Research Group,
>>>>>> presents a survey of existing literature on discovering and using
>>>>>> network topology information for application-layer traffic
>>>>>> optimization.
>>>>>>
>>>> _______________________________________________
>>>> p2prg mailing list
>>>> [email-masked]
>>>> http://www.irtf.org/mailman/listinfo/p2prg
>